Gda.SqlOperation – Gda-6.0 Reference Manual

# SqlOperation

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_operation_get_type ()" ) ]
[ Compact ]
public class SqlOperation
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static SqlOperatorType operator_from_string (string op)
- public static unowned string operator_to_string (SqlOperatorType op)

### Creation methods:

- public SqlOperation (SqlAnyPart parent)

### Methods:

- public SqlOperation copy ()
- public void free ()
- public string serialize ()

### Fields:

- public unowned SqlAnyPart any
- public unowned SList<SqlExpr> operands
- public SqlOperatorType operator_type